Bug 12827 - Fix building Samba with GCC 7.1
Fix building Samba with GCC 7.1
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build
4.6.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-07 08:53 UTC by Andreas Schneider
Modified: 2017-06-12 06:47 UTC (History)
2 users (show)

See Also:


Attachments
patch for 4.6 (3.40 KB, patch)
2017-06-07 08:55 UTC, Andreas Schneider
no flags Details
patch for 4.6 (5.77 KB, patch)
2017-06-07 08:58 UTC, Andreas Schneider
no flags Details
patch for 4.6 (8.07 KB, patch)
2017-06-07 09:07 UTC, Andreas Schneider
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2017-06-07 08:53:50 UTC
Fix building Samba with GCC 7.1.

Patch will follow.
Comment 1 Andreas Schneider 2017-06-07 08:55:28 UTC
Created attachment 13258 [details]
patch for 4.6
Comment 2 Andreas Schneider 2017-06-07 08:58:37 UTC
Created attachment 13259 [details]
patch for 4.6
Comment 3 Andreas Schneider 2017-06-07 09:07:52 UTC
Created attachment 13260 [details]
patch for 4.6

The addtional patches Douglas already did earlier.
Comment 4 Jeremy Allison 2017-06-07 20:51:21 UTC
Comment on attachment 13260 [details]
patch for 4.6

LGTM.
Comment 5 Jeremy Allison 2017-06-07 20:51:45 UTC
Re-assigning to Karolin for inclusion in 4.6.next.
Comment 6 Karolin Seeger 2017-06-08 08:29:48 UTC
(In reply to Jeremy Allison from comment #5)
Pushed to autibuild-v4-6-test.
Comment 7 Karolin Seeger 2017-06-12 06:47:56 UTC
(In reply to Karolin Seeger from comment #6)
Pushed to v4-6-test.
Closing out bug report.

Thanks!